List objects

GET /users/{userId}/objects

Path parameters

userIdstring✻

The unique identifier of the user.

format: uuid

Documentation

Example
"70c09d76-e53c-470f-916a-ef33706382b4"

Query parameters

endDatestring

The end date of the range to filter results. Only results created on or before this date will be returned.

format: date-time

Documentation

Example
"2024-01-31T00:00:00Z"

limitnumber

The limit parameter is used to limit the number of results returned.

default: 100<=1000>=1

Documentation

orderstring

The order parameter is used to select which results should come first.

default: asc"asc""desc"

Documentation

skipnumber

The skip parameter is used to skip a number of results.

default: 0>=0

Documentation

Example
100

sortstring

The sort parameter is used to specify the order in which results should be returned.

default: createdAt"createdAt""startDate"

Documentation

sourcesarray

The sources parameter is used to filter objects by source.

A list of data sources.

Documentation

The source's identifier.

format: uuid

Documentation

Example
"f6c8e76c-d8a3-4339-879a-4a626edba805"

startDatestring

The start date of the range to filter results. Only results created on or after this date will be returned.

format: date-time

Documentation

Example
"2024-01-01T00:00:00Z"

typestring

The type parameter is used to filter objects by type.

Responses

    200OK

Content application/json

Examples
List of Objects
[
	{
		"id": "f906f26b-6a0c-4c72-97f2-c9ad8701f730",
		"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
		"type": "bloodGlucose",
		"quantity": {
			"unit": "mg/dL",
			"value": 100
		},
		"startDate": "2024-01-29T13:15:38.098Z",
		"endDate": "2024-01-29T13:15:38.098Z",
		"metadata": {
			"bloodGlucoseMealTime": "postprandial",
			"externalId": "EX123",
			"timeZone": "Europe/Copenhagen",
			"userEntered": false,
			"property1": true,
			"property2": 123,
			"property3": "abc"
		},
		"device": {
			"id": "34de05f1-ecb3-4dea-ab16-81e1a584ebfb",
			"firmwareVersion": "3.0.5",
			"hardwareVersion": "6.1.0",
			"manufacturer": "Novo Nordisk A/S",
			"model": "NovoPen 6",
			"name": "NovoPen",
			"softwareVersion": "8.1.2"
		},
		"source": {
			"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
			"name": "hda",
			"version": "2.18.0"
		},
		"createdAt": "2024-01-29T13:15:40.390Z"
	},
	{
		"id": "d7a5b8b4-03a9-4f78-8685-3848199ec826",
		"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
		"type": "bolusCalculation",
		"objects": [
			"83f05666-3668-451f-abfb-8d50f244367d",
			"dce70c6e-6108-40e3-b9cd-3deaeae80bfb",
			"f906f26b-6a0c-4c72-97f2-c9ad8701f730"
		],
		"startDate": "2024-01-29T13:15:39.412Z",
		"endDate": "2024-01-29T13:15:39.412Z",
		"device": {
			"name": "HDA"
		},
		"metadata": {
			"externalId": "EX124",
			"timeZone": "Europe/Copenhagen"
		},
		"source": {
			"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
			"name": "hda",
			"version": "2.18.0"
		},
		"createdAt": "2024-01-29T13:15:40.390Z"
	},
	{
		"id": "ce1b534c-df77-455c-9bd6-6d4fe32600aa",
		"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
		"type": "diabetesType",
		"diabetesType": "type1",
		"source": {
			"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
			"name": "hda",
			"version": "2.18.0"
		},
		"createdAt": "2024-01-29T13:15:40.390Z"
	}
]

Security

Servers

    data.hedia.comhttps://data.hedia.com/api/v1